Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.diagram
Class SemanticNetworkDiagramType.SemanticNetworkDiagramViewOptions

    java.lang.Object
      com.beanexplorer.beans.Option
          biouml.model.DiagramViewOptions
              biouml.standard.diagram.PathwayDiagramViewOptions
                  biouml.standard.diagram.SemanticNetworkDiagramType.SemanticNetworkDiagramViewOptions

Enclosing class:
  SemanticNetworkDiagramType

public static class SemanticNetworkDiagramType.SemanticNetworkDiagramViewOptions
extends PathwayDiagramViewOptions

We have defined SemanticNetworkDiagramViewOptions to have an ability specify corresponding bean info. This bean info can customize view of SemanticNetworkDiagramViewOptions in property inspector.

Nested Class Summary

Nested classes inherited from class biouml.standard.diagram.PathwayDiagramViewOptions
`PathwayDiagramViewOptions.RelationTypeColor, PathwayDiagramViewOptions.RelationTypeStroke`

Field Summary

Fields inherited from class biouml.standard.diagram.PathwayDiagramViewOptions
`ActiveProteinBrush, automaticallyLocateReactions, BRUSH, CatalystActionPen, CellCytoplasmBrush, CellNucleusBrush, conceptTitleFont, DecreaseActionBrush, DEFAULT, functionTitleFont, GeneBrush, InactiveProteinBrush, IncreaseActionBrush, InhibitorActionPen, ModefiedProteinBrush, PEN, processPen, processTitleFont, ProteinBrush, ReactionBrush, ReactionPen, relationTitleFont, relationTypeColors, relationTypeStrokes, semanticRelationOptions, showReactionName, statePen, stateTitleFont, SubstanceBrush, SwitchOffActionBrush, SwitchOffActionPen, SwitchOnActionBrush, SwitchOnActionPen, titleMargin`

Fields inherited from class biouml.model.DiagramViewOptions
`compartmentTitleAlignment, compartmentTitleFont, defaultFont, defaultPen, designMode, diagramTitleAlignment, diagramTitleFont, diagramTitleVisible, nodePen, nodeTitleFont, nodeTitleMargin, noteBrush, noteLinkPen, noteMargin`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Constructor Summary
`SemanticNetworkDiagramType.SemanticNetworkDiagramViewOptions(com.beanexplorer.beans.Option parent)`

Method Summary
`DiagramViewOptions` | `createDefaultDiagramViewOptions()`

Methods inherited from class biouml.standard.diagram.PathwayDiagramViewOptions
`getRelationTypeColors, getRelationTypeStrokes, getSemanticRelationBrush, getSemanticRelationPen, getTitleMargin, initSemanticRelationOptions, setRelationTypeColors, setRelationTypeStrokes, setTitleMargin`

Methods inherited from class biouml.model.DiagramViewOptions
`getCompartmentTitleAlignment, getCompartmentTitleFont, getDefaultFont, getDefaultPen, getDiagramTitleAlignment, getDiagramTitleFont, getNodePen, getNodeTitleFont, getNodeTitleMargin, getNoteBrush, getNoteLinkPen, getNoteMargin, isDesignMode, isDiagramTitleVisible, setCompartmentTitleAlignment, setCompartmentTitleFont, setDefaultFont, setDefaultPen, setDesignMode, setDiagramTitleAlignment, setDiagramTitleFont, setDiagramTitleVisible, setNodePen, setNodeTitleFont, setNodeTitleMargin, setNoteBrush, setNoteLinkPen, setNoteMargin`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SemanticNetworkDiagramType.SemanticNetworkDiagramViewOptions

    public SemanticNetworkDiagramType.SemanticNetworkDiagramViewOptions(com.beanexplorer.beans.Option parent)

Method Detail

### createDefaultDiagramViewOptions

    public DiagramViewOptions createDefaultDiagramViewOptions()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.